be.ehealth.technicalconnector.service.kgss.builders

## Interface KgssMessageBuilder

- All Known Implementing Classes:
    KgssMessageBuilderImpl

      public interface KgssMessageBuilder

  All KGSS communication is encrypted. This means that:
  - 1. requests from the message sender or receiver to the KGSS are sealed by using the ETK of the KGSS;
  - 2. responses from the KGSS to the message sender or receiver are sealed by using the sender’s or receiver’s ETK.
  This interface contains all methods that allow you to unseal/seal KGSS messages. Default impl : `KgssMessageBuilderImpl`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetKeyRequest` | `sealGetKeyRequest(GetKeyRequestContent requestContent)` Seal get key request.
    `GetNewKeyRequest` | `sealGetNewKeyRequest(GetNewKeyRequestContent requestContent)` Seal get new key request.
    `GetKeyResponseContent` | `unsealGetKeyResponse(GetKeyResponse response)` Unseal get key response.
    `GetNewKeyResponseContent` | `unsealGetNewKeyResponse(GetNewKeyResponse response)` Unseal get new key response.

- - ### Method Detail

    - #### sealGetNewKeyRequest

          GetNewKeyRequest sealGetNewKeyRequest(GetNewKeyRequestContent requestContent)
                                         throws TechnicalConnectorException

      Seal get new key request.
      Parameters:
        `requestContent` - the request content
      Returns:
        the gets the new key request
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### unsealGetNewKeyResponse

          GetNewKeyResponseContent unsealGetNewKeyResponse(GetNewKeyResponse response)
                                                    throws TechnicalConnectorException

      Unseal get new key response.
      Parameters:
        `response` - the response
      Returns:
        the gets the new key response content
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### sealGetKeyRequest

          GetKeyRequest sealGetKeyRequest(GetKeyRequestContent requestContent)
                                   throws TechnicalConnectorException

      Seal get key request.
      Parameters:
        `requestContent` - the request content
      Returns:
        the gets the key request
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### unsealGetKeyResponse

          GetKeyResponseContent unsealGetKeyResponse(GetKeyResponse response)
                                              throws TechnicalConnectorException

      Unseal get key response.
      Parameters:
        `response` - the response
      Returns:
        the gets the key response content
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

Connector Packaging PERSAUDIOLOGIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.